## apt-setup 0.126

=== debian/changelog ===
apt-setup (1:0.126) unstable; urgency=medium

  [ Updated translations ]
  * Italian (it.po) by Milo Casagrande

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Feb 2017 08:46:32 +0100

apt-setup (1:0.125) unstable; urgency=medium

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Feb 2017 07:17:01 +0100

apt-setup (1:0.124) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Jan 2017 19:03:46 +0100

## apt-setup 0.127

=== debian/changelog ===
apt-setup (1:0.127) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Switch default hostname from ftp.debian.org to deb.debian.org in the
    following generators (Closes: #860472):
     - 92updates
     - 93backports

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Apr 2017 06:42:16 +0200

=== debian/control ===
Source: apt-setup
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/apt-setup.git
Vcs-Git: https://anonscm.debian.org/git/d-i/apt-setup.git

Package: apt-setup-udeb
Package-Type: udeb
Architecture: any
Priority: standard
XB-Installer-Menu-Item: 7000
Depends: apt-mirror-setup, installed-base, di-utils (>= 1.70), ${misc:Depends}
Description: Configure apt

Package: apt-mirror-setup
Package-Type: udeb
Architecture: all
Depends: choose-mirror-bin, ${misc:Depends}
Description: set up a mirror in sources.list

Package: apt-cdrom-setup
Package-Type: udeb
Architecture: all
Provides: apt-mirror-setup
Depends: cdrom-detect, ${misc:Depends}
Description: set up a CD in sources.list

## apt-setup 0.127+devuan1.2

=== debian/changelog ===
apt-setup (1:0.127+devuan1.2) ascii; urgency=medium

  * allow inclusion of "*-updates" in ascii

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 13 Apr 2018 20:42:49 +0100

apt-setup (1:0.127+devuan1.1) ascii; urgency=medium

  * closed #190 (non-free included in sources.list) 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 10 Apr 2018 21:52:43 +0100

apt-setup (1:0.127+devuan1) ascii; urgency=medium

  [ KatolaZ ]
  * added gbp.conf
  * updated to version 1:0.127 from stretch

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 19 Jan 2018 10:36:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: apt-setup
 Section: debian-installer
 Priority: extra
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
+Maintainer: Daniel Reurich <centurion_dan@devuan.org>
+Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> 
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/apt-setup.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/apt-setup.git
+Vcs-Browser: https://git.devuan.org/devuan-packages/apt-setup
+Vcs-Git: https://git.devuan.org/devuan-packages/apt-setup
 
 Package: apt-setup-udeb
 Package-Type: udeb

## apt-setup 0.140

=== debian/changelog ===
apt-setup (1:0.140) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Indonesian (id.po) by Al Qalit
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Feb 2018 16:49:19 +0100

apt-setup (1:0.139) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 Feb 2018 06:48:13 +0100

apt-setup (1:0.138) unstable; urgency=medium

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Petter Reinholdtsen
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Mon, 29 Jan 2018 19:46:17 +0100

apt-setup (1:0.137) unstable; urgency=medium

  [ Steve McIntyre ]
  * If installing from a single-desktop single CD image, comment it out
    from sources.list after installation like we do with the netinst
    images.
  * When commenting sources like this, add a helpful comment in
    sources.list too.

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jan 2018 07:56:21 +0100

apt-setup (1:0.135) unstable; urgency=medium

  [ Updated translations ]
  * Panjabi (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Jan 2018 06:22:05 +0100

apt-setup (1:0.134) unstable; urgency=medium

  [ Updated translations ]
  * Nepali (ne.po) by Jeewal Kunwar

 -- Christian Perrier <bubulle@debian.org>  Wed, 27 Dec 2017 08:37:37 +0100

apt-setup (1:0.133) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Fri, 08 Dec 2017 06:49:48 +0100

apt-setup (1:0.132) unstable; urgency=medium

  [ Updated translations ]
  * Lithuanian (lt.po) by Rimas Kudelis
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Nov 2017 07:40:54 +0100

apt-setup (1:0.131) unstable; urgency=medium

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Greek (el.po) by Sotirios Vrachas
  * Estonian (et.po) by Kristjan Räts
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Nov 2017 07:35:20 +0100

apt-setup (1:0.130) unstable; urgency=medium

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Oct 2017 06:38:12 +0200

apt-setup (1:0.129) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Albanian (sq.po) by Silva Arapi

 -- Christian Perrier <bubulle@debian.org>  Tue, 12 Sep 2017 06:40:21 +0200

apt-setup (1:0.128) unstable; urgency=medium

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Simplified Chinese (zh_CN.po) by Yangfl
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Jun 2017 07:50:26 +0200

## apt-setup 0.141

=== debian/changelog ===
apt-setup (1:0.141) unstable; urgency=medium

  [ Updated translations ]
  * Welsh (cy.po) by Huw Waters
  * Indonesian (id.po) by Andika Triwidada

 -- Christian Perrier <bubulle@debian.org>  Thu, 22 Mar 2018 12:14:40 +0100

## apt-setup 0.141ubuntu5

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: apt-setup
 Section: debian-installer
 Priority: extra
-Maintainer: Daniel Reurich <centurion_dan@devuan.org>
-Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> 
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
-Vcs-Browser: https://git.devuan.org/devuan-packages/apt-setup
-Vcs-Git: https://git.devuan.org/devuan-packages/apt-setup
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/apt-setup.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/apt-setup.git
 
 Package: apt-setup-udeb
 Package-Type: udeb

## apt-setup 0.141ubuntu5+10.0trisquel2

=== debian/changelog ===
apt-setup (1:0.141ubuntu5+10.0trisquel2) nabia; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 05 Mar 2021 19:23:32 +0000

apt-setup (1:0.141ubuntu5) eoan; urgency=medium

  * Re-add i386 multiarch support, since i386 is not being dropped
    altogether.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Aug 2019 18:21:11 -0700

apt-setup (1:0.141ubuntu4) eoan; urgency=medium

  * Don't enable i386 multiarch support on install, since Ubuntu is dropping
    i386 as an architecture.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jun 2019 12:55:03 -0700

apt-setup (1:0.141ubuntu3) eoan; urgency=medium

  * Replace apt-key call by direct inclusion of trusted.gpg.d
    snippets. LP: #1754075

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 14:40:39 +0100

apt-setup (1:0.141ubuntu2) cosmic; urgency=medium

  * Restore execute bits on generators/91security and
    finish-install.d/10apt-cdrom-setup. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 20 Aug 2018 21:58:36 +1200

apt-setup (1:0.141ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Enable backports by default now that we have NotAutomatic enabled and
      working.
    - Add Release files.
    - generators/50mirror.ubuntu: universe incorrectly mentions some software
      being unfree, which is not true. Remove that mention from the notice we
      write to sources.list. Patch from Dan Watkins. (LP: #1590358)
    - Allow setting apt-setup/enable-source-repositories=true to control
      deb-src entries.
  * Replace xenial Release and Release.gpg files with those for cosmic.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 18 May 2018 23:09:32 -0400

## apt-setup 0.142

=== debian/changelog ===
apt-setup (1:0.142) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Updated translations ]
  * Finnish (fi.po)
  * Hebrew (he.po) by Yaron Shahrabani
  * Telugu (te.po) by Praveen Illa

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 10 Aug 2018 20:45:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: apt-setup
 Section: debian-installer
 Priority: extra
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/apt-setup.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/apt-setup.git
+Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
+Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git
 
 Package: apt-setup-udeb
 Package-Type: udeb

## apt-setup 0.143

=== debian/changelog ===
apt-setup (1:0.143) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Finnish (fi.po) by Juhani Numminen
  * French (fr.po) by Alban Vidal
  * Galician (gl.po) by mantinan
  * Hindi (hi.po) by Himanshu Awasthi 

   [ Holger Wansing ]
  * Change deprecated Priority: extra into optional.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 27 Sep 2018 17:36:02 +0200

## apt-setup 0.144

=== debian/changelog ===
apt-setup (1:0.144) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Asturian (ast.po) by Xuacu Saturio
  * Latvian (lv.po) by Tranzistors
  * Marathi (mr.po) by Nayan Nakhare

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 30 Oct 2018 18:18:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: apt-setup
 Section: debian-installer
-Priority: extra
+Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)

## apt-setup 0.145

=== debian/changelog ===
apt-setup (1:0.145) unstable; urgency=medium
  * Team upload

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Updated translations ]
  * Persian (fa.po) by Nima Sahraneshin
  * Finnish (fi.po) by Juhani Numminen

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 10 Jan 2019 23:20:27 +0100

## apt-setup 0.147

=== debian/changelog ===
apt-setup (1:0.147) unstable; urgency=medium

  [ Steve McIntyre ]
  * Tweak how media sets are used in generators/41cdset. Live and
    full_cd/single media already won't prommpt for more media. Re-arrange
    to make all "bluray" media work the same way. Will help with Debian
    Edu standalone media without affecting other uses. Closes: #919982

 -- Steve McIntyre <93sam@debian.org>  Mon, 11 Feb 2019 17:11:49 +0000

apt-setup (1:0.146) unstable; urgency=medium
  * Team upload

  * Fix missing space and superfluous colon in templates file (and sync
    translations).

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Finnish (fi.po) by Juhani Numminen
  * Hebrew (he.po) by Yaron Shahrabani
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Traditional Chinese (zh_TW.po) by Louies

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 08 Feb 2019 17:22:44 +0100

## apt-setup 0.149

=== debian/changelog ===
apt-setup (1:0.149) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Ukrainian (uk.po) by Anton Gladky

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 28 Mar 2019 22:21:19 +0100

apt-setup (1:0.148) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Punjabi (pa.po) by Aman ALam
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 04 Mar 2019 23:09:07 +0100

## apt-setup 0.150

=== debian/changelog ===
apt-setup (1:0.150) unstable; urgency=medium

  * Team upload

  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927494)

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 May 2019 07:09:04 +0200

## apt-setup 0.151~deb10u1

=== debian/changelog ===
apt-setup (1:0.151~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 Aug 2019 16:27:55 +0200

apt-setup (1:0.151) unstable; urgency=medium

  [ Moritz Mühlenhoff ]
  * When preseeding a local repository via apt-setup/localX/repository,
    the repository key for Secure Apt needs to be configured with
    apt-setup/localX/key. This key used to be set up with apt-key, but
    its use is deprecated and apt's former dependency on gnupg has been
    demoted to a Suggests, rendering apt-key non-functional in d-i.
    Apply a patch by Lars Kollstedt (thanks!) which adds the repository
    key(s) to /etc/apt/trusted.gpg.d, following the approach used by
    pbuilder (Closes: #851774, #928931):
     - .asc suffix if the key file seems to be armoured ASCII (i.e. it
       contains a “-----BEGIN PGP PUBLIC KEY BLOCK-----” line);
     - .gpg suffix otherwise. Please note that only “GPG key public ring”
       are supported by APT, newer “keybox database” format isn't at the
       moment.

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Hindi (hi.po) by KushagraKarira
  * Croatian (hr.po) by gogogogi

 -- Cyril Brulebois <kibi@debian.org>  Fri, 12 Jul 2019 10:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
+Uploaders: Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
 Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
 Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),x32)
MULTIARCH := amd64
else
MULTIARCH :=
endif

override_dh_installdebconf-arch:
	dh_installdebconf
	sed -i 's/@MULTIARCH@/$(MULTIARCH)/' \
		debian/apt-setup-udeb/DEBIAN/templates

## apt-setup 0.151~deb10u1.lnd.2

=== debian/changelog ===
apt-setup (1:0.151~deb10u1.lnd.2) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:18:52 +0800

apt-setup (1:0.151~deb10u1.lnd.1) buster; urgency=medium

  * Support loongarch64 architecture

 -- Huang Jia Wen <huangjiawen@loongson.cn>  Sat, 04 Sep 2021 14:27:40 +0800

## apt-setup 0.151+devuan2

=== debian/changelog ===
apt-setup (1:0.151+devuan2) unstable; urgency=medium

  * fix 91security bug that messed up source point

 -- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>  Sun, 22 Dec 2019 21:00:00 +1100

apt-setup (1:0.151+devuan1) unstable; urgency=medium

  * merged in debian version 0.151_deb10u1

 -- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>  Sat, 13 Dec 2019 20:06:00 +1100

apt-setup (1:0.144+devuan1) unstable; urgency=medium

  * merged 0.144 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 02 Nov 2018 13:30:33 +0000

apt-setup (1:0.141+devuan1) unstable; urgency=medium

 * merged version from buster

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 14 Apr 2018 00:33:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: apt-setup
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Steve McIntyre <93sam@debian.org>
+Maintainer: Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>
+Uploaders: Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
-Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
-Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git
+Vcs-Browser: https://git.devuan.org/devuan-packages/apt-setup
+Vcs-Git: https://git.devuan.org/devuan-packages/apt-setup.git
 
 Package: apt-setup-udeb
 Package-Type: udeb

## apt-setup 0.155

=== debian/changelog ===
apt-setup (1:0.155) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * generators/50mirror: unreleased does not support sources yet.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by Milo Ivir
  * Marathi (mr.po) by Prachi Joshi
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan
  * Simplified Chinese (zh_CN.po) by 玉堂白鹤

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 Jan 2020 21:25:38 +0100

apt-setup (1:0.154) unstable; urgency=medium

  [ Holger Wansing ]
  * Update generation of apt sources lines for security (starting with
    bullseye, that changed from <dist>/updates to <dist>-security).
    Thanks to Philip Hands for the patch! (Closes: #935540, #942238)

 -- Cyril Brulebois <kibi@debian.org>  Thu, 28 Nov 2019 10:56:04 +0100

apt-setup (1:0.153) unstable; urgency=medium

  * Team upload.

  * Rephrase templates, to rename "CD"/"CD-ROM" into "installation media".

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Indonesian (id.po) by Andika Triwidada
  * Icelandic (is.po) by Sveinn í Felli
  * Portuguese (pt.po) by Miguel Figueiredo
  * Traditional Chinese (zh_TW.po) by Walter Cheuk

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 06 Oct 2019 20:49:39 +0200

apt-setup (1:0.152) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

  [ Philip Hands ]
  * Update the Salsa CI config.

  [ Karsten Merker ]
  * Enable the "unreleased" suite for architectures in the Debian-Ports
    archive when configuring a network mirror.

 -- Karsten Merker <merker@debian.org>  Tue, 20 Aug 2019 23:28:43 +0200

## apt-setup 0.160

=== debian/changelog ===
apt-setup (1:0.160) unstable; urgency=medium

  [ Samuel Henrique ]
  * Remove mention of volatile repo from generated sources.list file.
    Closes: #954460

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Greek (el.po) by Vangelis Skarmoutsos
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Persian (fa.po) by سهیل خانعلی‌پور
  * Italian (it.po) by Milo Casagrande
  * Marathi (mr.po) by Prachi Joshi
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 01 Nov 2020 11:12:07 +0100

apt-setup (1:0.159) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Greek (el.po) by root
  * Spanish (es.po) by Javier Fernández-Sanguino
  * French (fr.po) by Baptiste Jammet
  * Kannada (kn.po) by Yogesh
  * Marathi (mr.po) by Prachi Joshi
  * Polish (pl.po) by Bartosz Feński
  * Serbian (sr.po) by Filipovic Dragan

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Sep 2020 00:09:42 +0200

apt-setup (1:0.158) unstable; urgency=medium

  * Team upload.

  [ наб ]
  * apt-mirror-setup: Depend on base-installer (>= 1.195)
  * generators/50mirror: Use is_ports_architecture from base-installer

  [ Updated translations ]
  * Persian (fa.po) by Reg3xp
  * Icelandic (is.po) by Sveinn í Felli

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 12 Jul 2020 13:38:19 +0200

apt-setup (1:0.157) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by gogogogi
  * Korean (ko.po) by Changwoo Ryu
  * Dutch (nl.po) by Frans Spiesschaert
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Romanian (ro.po) by Andrei POPESCU
  * Tamil (ta.po) by Jeyanthinath MuthuRam

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 09 May 2020 23:37:46 +0200

apt-setup (1:0.156) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Estonian (et.po) by Mario
  * Galician (gl.po) by anonymous
  * Lithuanian (lt.po) by Tautvydas Zukauskas
  * Marathi (mr.po) by Prachi Joshi

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 07 Mar 2020 21:41:08 +0100

## apt-setup 0.161

=== debian/changelog ===
apt-setup (1:0.161) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hindi (hi.po) by षिखर्
  * Kurdish (ku.po) by Lecwan Munzur
  * Occitan (oc.po) by Quentin PAGÈS
  * Russian (ru.po) by Yuri Kozlov

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 27 Dec 2020 19:34:30 +0100

## apt-setup 0.162

=== debian/changelog ===
apt-setup (1:0.162) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by zer0-x
  * Bengali (bn.po) by Indrani Roy
  * Catalan (ca.po) by d
  * Danish (da.po) by Michael Millet
  * Galician (gl.po) by mantinan
  * Hindi (hi.po) by KushagraKarira
  * kab (kab.po) by Selyan Sliman Amiri
  * Latvian (lv.po) by Tranzistors
  * Occitan (oc.po) by Quentin PAGÈS
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Ukrainian (uk.po) by Anton Gladky

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 14 Feb 2021 18:41:01 +0100

## apt-setup 0.163

=== debian/changelog ===
apt-setup (1:0.163) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by zer0-x
  * Norwegian Bokmal (nb.po) by Allan Nordhøy
  * Serbian (sr.po) by Filipovic Dragan
  * Traditional Chinese (zh_TW.po) by louies0623

 -- ned <ned@t520>  Fri, 19 Mar 2021 17:17:17 +0100

## apt-setup 0.164

=== debian/changelog ===
apt-setup (1:0.164) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by Fahim Sabah
  * Persian (fa.po) by Sina Carnelious
  * Japanese (ja.po) by YOSHINO Yoshihito

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 30 May 2021 22:00:54 +0200

## apt-setup 0.165

=== debian/changelog ===
apt-setup (1:0.165) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Turkish (tr.po) by Fatih Altun

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 08 Jul 2021 09:27:45 +0200

## apt-setup 0.166

=== debian/changelog ===
apt-setup (1:0.166) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Finnish (fi.po) by Kimmo Kujansuu

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 23 Jul 2021 18:50:43 +0200

=== debian/control ===
Source: apt-setup
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git

Package: apt-setup-udeb
Package-Type: udeb
Architecture: any
Priority: standard
XB-Installer-Menu-Item: 7000
Depends: apt-mirror-setup, installed-base, di-utils (>= 1.70), ${misc:Depends}
Description: Configure apt

Package: apt-mirror-setup
Package-Type: udeb
Architecture: all
Depends: choose-mirror-bin, base-installer (>= 1.195), ${misc:Depends}
Description: set up a mirror in sources.list

Package: apt-cdrom-setup
Package-Type: udeb
Architecture: all
Provides: apt-mirror-setup
Depends: cdrom-detect, ${misc:Depends}
Description: set up a CD in sources.list

## apt-setup 0.166+11.0trisquel3

=== debian/changelog ===
apt-setup (1:0.166+11.0trisquel3) aramo; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 10 Nov 2022 08:07:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apt-setup
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
 Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup

## apt-setup 0.166+devuan1

=== debian/changelog ===
apt-setup (1:0.166+devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 31 Jul 2021 20:00:14 +1000

apt-setup (1:0.164+devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 02 Jun 2021 10:45:04 +1000

apt-setup (1:0.163+devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 29 May 2021 17:26:17 +1000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: apt-setup
 Section: debian-installer
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Uploaders: Steve McIntyre <93sam@debian.org>
+Maintainer: Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>
+Origin: Devuan
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
-Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
-Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git
+Vcs-Browser: https://git.devuan.org/devuan/apt-setup
+Vcs-Git: https://git.devuan.org/devuan/apt-setup.git
 
 Package: apt-setup-udeb
 Package-Type: udeb

## apt-setup 0.171

=== debian/changelog ===
apt-setup (1:0.171) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by Yang Yulin

 -- Cyril Brulebois <kibi@debian.org>  Mon, 12 Sep 2022 20:03:09 +0200

apt-setup (1:0.170) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Ukrainian (uk.po) by Artem
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 17 Aug 2022 23:46:21 +0200

apt-setup (1:0.169) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Bosnian (bs.po) by Amar Tufo
  * Basque (eu.po) by Gontzal Manuel Pujana Onaindia
  * Norwegian Nynorsk (nn.po) by aujawindar
  * Polish (pl.po) by Matthaiks
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 26 Jun 2022 12:33:15 +0200

apt-setup (1:0.168) unstable; urgency=medium

  * Team upload

  [ bauen1 ]
  * Ensure target can validate https certificates when using the https
    protocol for mirrors.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Updated translations ]
  * Welsh (cy.po) by Ceiri Wyn Tudur
  * Danish (da.po) by Joe Hansen
  * German (de.po) by Holger Wansing
  * Hungarian (hu.po) by Balázs Máhli
  * Dutch (nl.po) by Frans Spiesschaert
  * Polish (pl.po) by Matthaiks
  * Telugu (te.po) by Praveen Illa
  * Ukrainian (uk.po) by Taras Panchenko

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 12 Apr 2022 23:09:41 +0200

apt-setup (1:0.167) unstable; urgency=medium

  * Team upload

  [ Raphaël Hertzog ]
  * Replace deprecated tempfile with mktemp.

  [ Philip Hands ]
  * Switch to using branch2repo for Salsa CI.

  [ Updated translations ]
  * Vietnamese (vi.po) by Tran Dinh Hai

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 22 Sep 2021 20:12:18 +0200

## apt-setup 0.172

=== debian/changelog ===
apt-setup (1:0.172) unstable; urgency=medium

  * Team upload

  [ Philip Hands ]
  * use [signed-by=...] for extra repository keys
    (rather than just globally trusting them)
  * add a `_DEVEL_` repo akin to the numbered `local` repos.
    (for internal development/testing use only)

  [ Samuel Thibault ]
  * For port architectures, trust snapshot.debian.org.

 -- Philip Hands <phil@hands.com>  Mon, 31 Oct 2022 10:50:27 +0100

## apt-setup 0.173

=== debian/changelog ===
apt-setup (1:0.173) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 31 Dec 2022 16:17:44 +0100

## apt-setup 0.174

=== debian/changelog ===
apt-setup (1:0.174) unstable; urgency=medium

  [ Holger Wansing ]
  * Set Standards-Version to 3.8.4 (checked).

  [ Cyril Brulebois ]
  * Add support for non-free-firmware, following the 2022 General
    Resolution about non-free firmware:
     - Add an apt-setup/non-free-firmware template, similar to the
       non-free and contrib ones, used by 50mirror to enable the
       non-free-firmware component.
     - The question is only asked for expert installs (low priority).
     - non-free-firmware is not enabled by default.
     - non-free-firmware can be enabled automatically by hw-detect if it
       detects the need for packages from non-free-firmware.
     - It's independent from the existing non-free/contrib logic.
  * Fix component handling in Debian generators:
     - Make 50mirror save the list of enabled components.
     - Make later generators read that list instead of parsing a partial
       sources.list file.
     - Doing so propagates non-free-firmware support to those generators.

  [ Updated translations ]
  * Hungarian (hu.po) by Szabó Péter
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

 -- Cyril Brulebois <kibi@debian.org>  Mon, 23 Jan 2023 03:40:57 +0100

=== debian/control ===
Source: apt-setup
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper-compat (= 13), po-debconf
Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git

Package: apt-setup-udeb
Package-Type: udeb
Architecture: any
Priority: standard
XB-Installer-Menu-Item: 7000
Depends: apt-mirror-setup, installed-base, di-utils, ${misc:Depends}
Description: Configure apt

Package: apt-mirror-setup
Package-Type: udeb
Architecture: all
Depends: choose-mirror-bin, base-installer (>= 1.195), ${misc:Depends}
Description: set up a mirror in sources.list

Package: apt-cdrom-setup
Package-Type: udeb
Architecture: all
Provides: apt-mirror-setup
Depends: cdrom-detect, ${misc:Depends}
Description: set up a CD in sources.list

## apt-setup 0.175

=== debian/changelog ===
apt-setup (1:0.175) unstable; urgency=medium

  [ Cyril Brulebois ]
  * generators/01setup: remove existing sources.list file instead of
    keeping all of its entries commented out. This avoids leaving
    duplicate cdrom: entries in comments at the end of the installation
    (Closes: #1029922).

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by phlostically
  * Hebrew (he.po) by Yaron Shahrabani
  * Macedonian (mk.po) by Kristijan Fremen Velkovski
  * Dutch (nl.po) by Frans Spiesschaert
  * Polish (pl.po) by Matthaiks
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Cyril Brulebois <kibi@debian.org>  Mon, 30 Jan 2023 02:43:24 +0100

## apt-setup 0.176

=== debian/changelog ===
apt-setup (1:0.176) unstable; urgency=medium

  [ Updated translations ]
  * French (fr.po) by Baptiste Jammet
  * Japanese (ja.po) by Kentaro Hayashi
  * Macedonian (mk.po) by Kristijan Fremen Velkovski
  * Occitan (oc.po) by Quentin PAGÈS
  * Swedish (sv.po) by Luna Jernberg
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

 -- Cyril Brulebois <kibi@debian.org>  Tue, 07 Feb 2023 15:25:27 +0100

## apt-setup 0.177

=== debian/changelog ===
apt-setup (1:0.177) unstable; urgency=medium

  [ Updated translations ]
  * Galician (gl.po) by gallegonovato
  * Occitan (oc.po) by Quentin PAGÈS

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Feb 2023 16:44:56 +0100

## apt-setup 0.179

=== debian/changelog ===
apt-setup (1:0.179) unstable; urgency=medium

  [ Updated translations ]
  * Croatian (hr.po) by Milo Ivir
  * Macedonian (mk.po) by Kristijan Fremen Velkovski
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Serbian (sr.po) by Filipovic Dragan

 -- Cyril Brulebois <kibi@debian.org>  Wed, 29 Mar 2023 14:27:00 +0200

apt-setup (1:0.178) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Fix regression in Spanish translation (Closes: #1032219).

  [ Updated translations ]
  * Indonesian (id.po) by Andika Triwidada
  * Icelandic (is.po) by Sveinn í Felli
  * Georgian (ka.po) by Temuri Doghonadze
  * Portuguese (pt.po) by Miguel Figueiredo
  * Sinhala (si.po) by HelaBasa Group
  * Turkish (tr.po) by Fatih Altun
  * Vietnamese (vi.po) by tictactoe

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 13 Mar 2023 11:51:55 +0100

## apt-setup 0.180

=== debian/changelog ===
apt-setup (1:0.180) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Don't disable -updates when installing for testing (Closes: #991947).
    It might make sense to have some flag to control this, and maybe only
    enable it once we move from D-I Alpha to D-I RC. In any case, let's
    turn this on right now for Bookworm!

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Estonian (et.po) by Kristjan Räts
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 00:53:21 +0200

## apt-setup 0.181

=== debian/changelog ===
apt-setup (1:0.181) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu
  * Norwegian Bokmal (nb.po) by Kjetil Sørlund
  * Norwegian Nynorsk (nn.po) by Kjetil Sørlund

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 07 May 2023 12:25:35 +0200

## apt-setup 0.182

=== debian/changelog ===
apt-setup (1:0.182) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bengali (bn.po) by Indrani Roy
  * Catalan (ca.po) by d
  * Danish (da.po) by Tino Didriksen
  * Greek (el.po) by galaxico
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro
  * Turkish (tr.po) by Fatih Altun

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 21 May 2023 23:14:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>
-Standards-Version: 3.8.4
 Build-Depends: debhelper-compat (= 13), po-debconf
 Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
 Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git

## apt-setup 0.183devuan2

=== debian/changelog ===
apt-setup (1:0.183devuan2) unstable; urgency=medium

  * Branding corrections.

 -- Ralph Ronnquist <rrq@grrq.au>  Sat, 15 Jul 2023 11:00:36 +1000

apt-setup (1:0.183devuan1) unstable; urgency=medium

  * Merge tag 0.183, and touch-up template.pot and id.po

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 22 Jun 2023 14:10:29 +1000

apt-setup (1:0.183) unstable; urgency=medium

  * For port architectures, let snapshot.debian.org have an outdated
    validation.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Jun 2023 18:06:27 +0200

apt-setup (1:0.182devuan1) unstable; urgency=medium

  * Merge tag 0.182.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 08 Jun 2023 18:30:05 +1000

apt-setup (1:0.181devuan1) unstable; urgency=medium

  * Merge tag 0.180.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 17 May 2023 16:34:13 +1000

apt-setup (1:0.180devuan1) unstable; urgency=medium

  * Merge tag 0.180.
  * d/gbp.conf: create with sane defaults.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 26 Apr 2023 07:23:39 +0100

apt-setup (1:0.179devuan1) unstable; urgency=medium

  * d/changelog: fixup and remove excess delta.
  * Merge tag 0.179.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 25 Apr 2023 17:32:38 +0100

apt-setup (1:0.176devuan1) unstable; urgency=medium

  * Upgrade fork.

 -- Antonio A. Rendina <arendina13@gmail.com>  Fri, 18 Feb 2023 16:12:51 +0100

apt-setup (1:0.175devuan1) unstable; urgency=medium

  * Upgrade fork.

 -- Antonio A. Rendina <arendina13@gmail.com>  Fri, 17 Feb 2023 06:12:16 +0100

apt-setup (1:0.174devuan1) unstable; urgency=medium

  * Upgrade fork.

 -- Antonio A. Rendina <arendina13@gmail.com>  Thu, 16 Feb 2023 04:32:24 +0100

apt-setup (1:0.173devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Antonio A. Rendina <arendina13@gmail.com>  Tue, 03 Jan 2023 07:02:30 +0100

apt-setup (1:0.172devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Mon, 26 Dec 2022 17:23:03 +1100

apt-setup (1:0.169devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 24 Jul 2022 14:34:44 +1000

apt-setup (1:0.167+devuan1) unstable; urgency=medium

  * Upgrade fork and change "security host" to be deb.devuan.org

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Fri, 28 Jan 2022 10:34:11 +1100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: apt-setup
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>
+Origin: Devuan
 Uploaders: Steve McIntyre <93sam@debian.org>
+Standards-Version: 3.8.4
 Build-Depends: debhelper-compat (= 13), po-debconf
-Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
-Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git
+Vcs-Browser: https://git.devuan.org/devuan/apt-setup
+Vcs-Git: https://git.devuan.org/devuan/apt-setup.git
 
 Package: apt-setup-udeb
 Package-Type: udeb

## apt-setup 0.185

=== debian/changelog ===
apt-setup (1:0.185) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Gujarati (gu.po) by Kartik Mistry
  * Malayalam (ml.po) by Anish Sheela
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Sep 2023 20:35:26 +0200

apt-setup (1:0.184) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * generators/50mirror: Fix syntax to get trusted=yes understood.

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze
  * Lithuanian (lt.po) by Rimas Kudelis
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by NicolaeFericitu
  * Turkish (tr.po) by Fatih Altun
  * Ukrainian (uk.po) by Tymofii Lytvynenko

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 23 Aug 2023 09:07:15 +0200

## apt-setup 0.186

=== debian/changelog ===
apt-setup (1:0.186) unstable; urgency=medium

  * Team upload

  [ Russell Hernandez Ruiz ]
  * Reword non-free-firmware description template, for better information
    to users.

  [ Updated translations ]
  * Catalan (ca.po) by victor dargallo
  * German (de.po) by Holger Wansing
  * Spanish (es.po) by gallegonovato
  * Hindi (hi.po) by Scrambled777
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Temuri Doghonadze
  * Malayalam (ml.po) by Manoj Karingamadathil
  * Marathi (mr.po) by omwani
  * Dutch (nl.po) by Frans Spiesschaert
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Ukrainian (uk.po) by Hotripak
  * Traditional Chinese (zh_TW.po) by reimu105

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 30 May 2024 12:32:48 +0200

## apt-setup 0.187

=== debian/changelog ===
apt-setup (1:0.187) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by Muhammad Bahaa
  * Catalan (ca.po) by d
  * Hindi (hi.po) by AYUSHMAN TIWARI
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Fatih Altun
  * Simplified Chinese (zh_CN.po) by NtskwK

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 10 Sep 2024 20:28:28 +0200

## apt-setup 0.189

=== Makefile ===
##
# Project Title
#
# @file
# @version 0.1

COVERAGE_DIR := ./coverage
COVERAGE_JSON := $(COVERAGE_DIR)/kcov-merged/coverage.json

CHROOT_CMD = FAKECHROOT_EXCLUDE_PATH=/tmp:/dev:/bin:/usr/bin:/usr/share/shunit2:$(PWD) fakechroot chroot test/chroot ./cd-exec $(PWD)
KCOV_CMD = kcov --bash-parse-files-in-dir=generators --exclude-path=/usr/bin/shunit2,$(PWD)/test $(COVERAGE_DIR)

all:

test:
	$(CHROOT_CMD) $(PWD)/test/20-local-repo-upgrade.sh
	$(CHROOT_CMD) $(PWD)/test/60local.sh

coverage:
	$(CHROOT_CMD) $(KCOV_CMD) $(PWD)/test/20-local-repo-upgrade.sh
	$(CHROOT_CMD) $(KCOV_CMD) $(PWD)/test/60local.sh
	if [ -f "$(COVERAGE_JSON)" ] ; then jq '"Total Code Coverage: \(.percent_covered) %"' $(COVERAGE_JSON) ; fi

.PHONY: test coverage

# end

=== debian/changelog ===
apt-setup (1:0.189) unstable; urgency=medium

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:17:57 +0100

apt-setup (1:0.188) unstable; urgency=medium

  * Team upload

  [ Stéphane Blondon ]
  * Update README.

  [ Philip Hands ]
  * When additional repos are configured, do an extra apt update/upgrade
    to ensure that the packages from those repos get used in the target.
  * add unit test & coverage test (initially just for the above)

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Hebrew (he.po) by Yaron Shahrabani
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze
  * Latvian (lv.po) by GGLVXD

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 19 Oct 2024 13:27:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: apt-setup
 Section: debian-installer
 Priority: optional
-Maintainer: Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>
-Origin: Devuan
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper-compat (= 13), po-debconf
-Vcs-Browser: https://git.devuan.org/devuan/apt-setup
-Vcs-Git: https://git.devuan.org/devuan/apt-setup.git
+Build-Depends: debhelper-compat (= 13),
+               po-debconf,
+               shunit2 <!nocheck>,
+               kcov <!nocheck>,
+               busybox <!nocheck>,
+               fakechroot <!nocheck>,
+               jq <!nocheck>,
+Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
+Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git
 
 Package: apt-setup-udeb
 Package-Type: udeb

## apt-setup 0.190

=== debian/changelog ===
apt-setup (1:0.190) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Estonian (et.po) Kristjan Räts
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Hebrew (he.po) Yaron Shahrabani
  * Hungarian (hu.po) Szia Tomi
  * French (fr.po) by Baptiste Jammet
  * Persian (fa.po) by Danial Behzadi

  [ Philip Hands ]
  * remove build-depend on kcov (Closes: #1088573)

 -- Philip Hands <phil@hands.com>  Fri, 29 Nov 2024 08:52:21 +0100

## apt-setup 0.191

=== debian/changelog ===
apt-setup (1:0.191) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Makefile: use CURDIR instead of PWD, fixing the FTBFS due to test
    failures (Closes: #1091148).

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Icelandic (is.po) by Sveinn í Felli
  * Romanian (ro.po) by Remus-Gabriel Chelu

 -- Cyril Brulebois <kibi@debian.org>  Wed, 25 Dec 2024 09:22:36 +0100
